Dependency Problem in latest RPM's (RHEL6/x86_64 tested)

Seems as if there might be a small typo in your current SPEC-file. As of today I tried to install Percona-XtraDB-Cluster-server-55 but yum stopps telling me:

—> Package Percona-XtraDB-Cluster-server-55.x86_64 1:5.5.34-25.9.607.rhel6 will be installed
–> Processing Dependency: Percona-XtraDB-Cluster-galera-25 for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
—> Package perl-DBI.x86_64 0:1.609-4.el6 will be installed
–> Finished Dependency Resolution
Error: Package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64 (clavis)
Requires: Percona-XtraDB-Cluster-galera-25
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Seems to me as if it should require “Percona-XtraDB-Cluster-galera-2” but not “Percona-XtraDB-Cluster-galera-25”

===============SNIPP======================
Justnin case you want to have all the yum output (whatever that might help you) here you go …

Setting up Install Process
Resolving Dependencies
–> Running transaction check
—> Package Percona-XtraDB-Cluster-server-55.x86_64 1:5.5.34-25.9.607.rhel6 will be installed
–> Processing Dependency: percona-xtrabackup >= 2.1.4 for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
–> Processing Dependency: socat for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
–> Processing Dependency: Percona-XtraDB-Cluster-shared-55 for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
–> Processing Dependency: Percona-XtraDB-Cluster-galera-25 for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
–> Processing Dependency: Percona-XtraDB-Cluster-client-55 for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
–> Running transaction check
—> Package Percona-XtraDB-Cluster-client-55.x86_64 1:5.5.34-25.9.607.rhel6 will be installed
—> Package Percona-XtraDB-Cluster-server-55.x86_64 1:5.5.34-25.9.607.rhel6 will be installed
–> Processing Dependency: Percona-XtraDB-Cluster-galera-25 for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
—> Package Percona-XtraDB-Cluster-shared-55.x86_64 1:5.5.34-25.9.607.rhel6 will be installed
—> Package percona-xtrabackup.x86_64 0:2.1.7-721.rhel6 will be installed
–> Processing Dependency: perl(Time::HiRes) for package: percona-xtrabackup-2.1.7-721.rhel6.x86_64
–> Processing Dependency: perl(DBD::mysql) for package: percona-xtrabackup-2.1.7-721.rhel6.x86_64
—> Package socat.x86_64 0:1.7.2.1-1.el6.rf will be installed
–> Running transaction check
—> Package Percona-XtraDB-Cluster-server-55.x86_64 1:5.5.34-25.9.607.rhel6 will be installed
–> Processing Dependency: Percona-XtraDB-Cluster-galera-25 for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
—> Package perl-DBD-MySQL.x86_64 0:4.013-3.el6 will be installed
–> Processing Dependency: perl(DBI::Const::GetInfoType) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
–> Processing Dependency: perl(DBI) for package: perl-DBD-MySQL-4.013-3.el6.x86_64
—> Package perl-Time-HiRes.x86_64 4:1.9721-136.el6 will be installed
–> Running transaction check
—> Package Percona-XtraDB-Cluster-server-55.x86_64 1:5.5.34-25.9.607.rhel6 will be installed
–> Processing Dependency: Percona-XtraDB-Cluster-galera-25 for package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64
—> Package perl-DBI.x86_64 0:1.609-4.el6 will be installed
–> Finished Dependency Resolution
Error: Package: 1:Percona-XtraDB-Cluster-server-55-5.5.34-25.9.607.rhel6.x86_64 (clavis)
Requires: Percona-XtraDB-Cluster-galera-25
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Cheers
Andreas

Sorry to bother you guys - it was our fault - We copied your repo to a local repository and somehow seem to have skipped the correct “galera-2” RPMs - Please ignore my former posting - The problem has been resolved -